return {
    {
        "nvim-lualine/lualine.nvim",
        config = function()
            vim.api.nvim_set_option("showmode",false)
            local custom_gruvbox = require'lualine.themes.gruvbox-material'
            custom_gruvbox.normal.a.bg = '#89b482'
            custom_gruvbox.normal.c.bg = '#141617'
            custom_gruvbox.insert.a.bg = '#d8a657'
            custom_gruvbox.visual.a.bg = '#a9b665'
            custom_gruvbox.replace.a.bg = '#ea6962'
            require('lualine').setup {
                options = {
                    theme = custom_gruvbox,
                    section_separators = '',
                    component_separators = ''
                },
                sections = {
                    lualine_a = {'mode'},
                    lualine_b = {
                        {
                            'branch',
                            icon = '',
                            color={fg='#d8a657', bg='#141617', gui='bold' },
                        }
                    },
                    lualine_c = {
                        {
                            'filename',
                            color={gui='italic', fg='#266b79', bg='#1d2021'},
                            path = 3,
                        }
                    },
                    lualine_x = {
                        {
                            'filetype',
                            color={bg='#1d2021', fg='266b79', gui='italic'},
                        }
                    },
                    lualine_y = {
                        {
                            'diagnostics',
                            color={gui='bold', bg='#141617'},
                            sections = { 'error', 'warn', 'info', 'hint' },
                            symbols = { error = "✘ ", warn = " ", info = " ", hint = " " }

                        },
                        {
                            'diff',
                            icon = {' ', color={bg='#141617', fg='#d8a657', gui='bold'}},
                            color={gui='bold', bg='#141617'},
                        }
                    },
                    lualine_z = {'location'}
                },

                inactive_sections = {
                    lualine_a = {'mode'},
                    lualine_b = {
                        {
                            'branch',
                            icon = '',
                            color={fg='#d8a657', bg='#282828'},
                        }
                    },
                    lualine_c = {
                        {
                            'filename',
                            path = 3,
                        }
                    },
                    lualine_x = {
                        {
                            'filetype',
                            color={bg='#282828'},
                        }
                    },
                    lualine_y = {
                        {
                            'diagnostics',
                        },
                        {
                            'diff',
                            icon = {' ', color={fg='#d8a657', gui='bold'}},
                        }
                    },
                    lualine_z = {'location'}
                },
            }
        end,
    },
}

